<!DOCTYPE html>
<html>
  <head>
    <title>Smart Dumpster - dashboard</title>
    <meta charset="UTF-8"/>
    <meta lang="en"/>
    <link rel="stylesheet" type="text/css" href="style.css" />
    <script src="jquery-3.4.1.min.js"></script>
    <script src="jquery.js"></script>
  </head>

  <body>
    <header>
      <h1> Smart Dumpster </h1>
      <section class="admin">
        <p>Current server address: <label for="inputAddress" id="addrLabel"></label></p>
        <input type="text" id="inputAddress"/>
        <button id="setAddress">Set</button>
      </section>
      <section>
        <button id="start">Start fetching data</button>
		<p>Fetching data: <label id="connectionStatus"></label></p>
		<button id="stop">Stop fetching data</button>
        <p>Raw data from server: <span id="whole-msg"></span></p>
        <p>Dumpster State: <span id="state-span" style="background-color: lightskyblue;"></span></p>
        <p>Current weight: <span id="weight-span"></span></p>
        <p>Today's number of deposits: <span id="deposits-span"></span></p>
      </section>
      <section id="info">
        <p>Visualize info from last <label for="inputDays" id="labelDays">N</label> days</p>
        <input type="number" id="inputDays"/>
        <button id="setDays">Set N</button>
        
      <section id="forceState">
        <button id="forceAvailable">Force AVAILABLE state</button>
        <button id="forceUnavailable">Force UNAVAILABLE state</button>
      </section>
    
      <table id="tableInfo">
        <tr>
          <th id="day">day</th>
          <th id="nDeposits">numDeposits</th>
          <th id="weight">totWeight</th>
        </tr>
      </table>
      </section>
    </header>
  </body>
</html>